#  circ5.py  -  oscillator
#
from simulator import Text, Swt, Nand, Inv, Wire, gameLoop

tt1 = Text ((150, 50), "5. Simple Oscillator")
ts1 = Text (( 30,120), "S1")
tn1 = Text ((100,153), "N1")
ti1 = Text ((175,153), "I1")
ti2 = Text ((225,153), "I2")
tw1 = Text (( 60,130), "w1")
tw2 = Text ((145,145), "w2")
tw4 = Text ((145,195), "w4")


s1 = Swt ('s1',( 30,135),  7, init=0)  # feeds w1  
n1 = Nand('n1',(100,150), 20)          # feeds w2

i1 = Inv('i1',(180,150), 15)          # feeds w3
i2 = Inv('i2',(230,150), 15)          # feeds w4


w1 = Wire('w1', (( 30,135), (100,135)), s1, [(n1,0)]) # s1 to n1 pin 0
w2 = Wire('w2', ((100,150), (170,150)), n1, [(i1,0)]) # n1 to i1 pin 0
w3 = Wire('w3', ((180,150), (230,150)), i1, [(i2,0)]) # i1 to i2 pin 0
w4 = Wire('w4', ((230,150), (260,150),                # bit to right
            (260,200), ( 50,200),                     # down some
            ( 50,165), ( 80,165)), i2, [(n1,1)])      # close the loop

def main() :
    gates = (w1,w2,w3,w4,n1,i1,i2,s1,tt1,ts1,tn1,ti1,ti2,tw1,tw2,tw4)
    gameLoop(gates)

if __name__ == "__main__" : main()

